--####################################################################################################
-- Name : LuaPlayer Eurphoria Sample.
-- Programmer : Zack (Danny Glover) : danny86@live.ie  - http://www.retroemu.com
--####################################################################################################

-- NOTE : I have chosen not to have input in the Sample, to show you the true FPS.
-- (If i enabled screen.waitVblankStart or pad = Controls.Read() the framerate would be capped to 60fps.

--//## Load a Image for the background
bkIMG = Image.load("bk.png")

--//## Initialize the Mp3 library
initMp3()

--//## Load MP3 File
mp3Load("test.mp3")

--//## Play the Mp3
mp3Play()

--//## Set CPU speed
setCpuSpeed(222)

--//## Run program whilst true
running = 1

--//## MAIN ##\\ --

while running do

	--//## Clear the screen
	screen:clear()

	--//## Blit the background Image
 	screen:blit(0, 0, bkIMG)
	
	showFPS()
   	screen.flip()                                          
end
